<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Thu Jun 23 07:55:03 CEST 2016 -->
<title>model Class Hierarchy</title>
<meta name="date" content="2016-06-23">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="model Class Hierarchy";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../controler/package-tree.html">Prev</a></li>
<li><a href="../test/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?model/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package model</h1>
<span class="strong">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.Object
<ul>
<li type="circle">model.<a href="../model/GameRule.html" title="class in model"><span class="strong">GameRule</span></a> (implements java.io.Serializable)
<ul>
<li type="circle">model.<a href="../model/GameRuleOnline.html" title="class in model"><span class="strong">GameRuleOnline</span></a></li>
</ul>
</li>
<li type="circle">model.<a href="../model/Map.html" title="class in model"><span class="strong">Map</span></a> (implements java.io.Serializable)</li>
<li type="circle">model.<a href="../model/Pattern.html" title="class in model"><span class="strong">Pattern</span></a> (implements java.io.Serializable)</li>
<li type="circle">model.<a href="../model/Piece.html" title="class in model"><span class="strong">Piece</span></a> (implements java.io.Serializable)</li>
<li type="circle">model.<a href="../model/Player.html" title="class in model"><span class="strong">Player</span></a> (implements java.io.Serializable)
<ul>
<li type="circle">model.<a href="../model/IA.html" title="class in model"><span class="strong">IA</span></a></li>
<li type="circle">model.<a href="../model/PlayerOnline.html" title="class in model"><span class="strong">PlayerOnline</span></a></li>
</ul>
</li>
<li type="circle">model.<a href="../model/Position.html" title="class in model"><span class="strong">Position</span></a> (implements java.io.Serializable)</li>
<li type="circle">model.<a href="../model/ServeurBlokus.html" title="class in model"><span class="strong">ServeurBlokus</span></a></li>
<li type="circle">model.<a href="../model/ServeurPlayer.html" title="class in model"><span class="strong">ServeurPlayer</span></a> (implements java.lang.Runnable)</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../controler/package-tree.html">Prev</a></li>
<li><a href="../test/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?model/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
